Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface PolicyManagerOperations

All Known Subinterfaces:
  PolicyCurrent, PolicyCurrentOperations, PolicyManager

public interface PolicyManagerOperations

The PolicyManager operations are used for setting and accessing Policy overrides at a particular scope. For example, an instance of the PolicyCurrent is used for specifying Policy overrides that apply to invocations from that thread.

Since:
  CORBA 3.0

Method Summary
`Policy[]` | `get_policy_overrides(int[] ts)` Returns a PolicyList containing the overridden Polices for the requested PolicyTypes.
`void` | `set_policy_overrides(Policy[] policies, SetOverrideType set_add)` Modifies the current set of overrides with the requested list of Policy overrides.

Method Detail

### get_policy_overrides

    public Policy[] get_policy_overrides(int[] ts)

  Returns a PolicyList containing the overridden Polices for the requested PolicyTypes. If the specified sequence is empty, all Policy overrides at this scope will be returned. If none of the requested PolicyTypes are overridden at the target PolicyManager, an empty sequence is returned.

### set_policy_overrides

    public void set_policy_overrides(Policy[] policies,
                                     SetOverrideType set_add)
                              throws InvalidPolicies

  Modifies the current set of overrides with the requested list of Policy overrides. The first parameter policies is a sequence of references to Policy objects. The second parameter set_add of type SetOverrideType indicates whether these policies should be added onto any other overrides that already exist (ADD_OVERRIDE) in the PolicyManager, or they should be added to a clean PolicyManager free of any other overrides (SET_OVERRIDE). Invoking set_policy_overrides with an empty sequence of policies and a mode of SET_OVERRIDE removes all overrides from a PolicyManager.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD